Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyStreamMessage

    java.lang.Object
      org.jboss.mq.SpyMessage
          org.jboss.mq.SpyStreamMessage

All Implemented Interfaces:
  Cloneable, Comparable, Externalizable, javax.jms.Message, Serializable, javax.jms.StreamMessage

public class SpyStreamMessage
extends SpyMessage
implements javax.jms.StreamMessage, Cloneable, Externalizable

This class implements javax.jms.StreamMessage

Version:
  $Revision: 1.9.6.2 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Adrian Brock
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.mq.SpyMessage
`SpyMessage.Header`

Field Summary

Fields inherited from class org.jboss.mq.SpyMessage
`ack, BOOLEAN, BYTE, BYTES_MESS, DOUBLE, ENCAP_MESS, FLOAT, header, INT, LONG, MAP_MESS, NULL, OBJECT, OBJECT_MESS, PROPERTY_REDELIVERY_COUNT, PROPERTY_REDELIVERY_DELAY, PROPERTY_REDELIVERY_LIMIT, PROPERTY_SCHEDULED_DELIVERY, session, SHORT, SPY_MESS, STREAM_MESS, STRING, TEXT_MESS`

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`SpyStreamMessage()` Create a new SpyStreamMessage

Method Summary
`void` | `clearBody()` Clear the message body
`SpyMessage` | `myClone()` Clone the message
`boolean` | `readBoolean()`
`byte` | `readByte()`
`int` | `readBytes(byte[] value)`
`char` | `readChar()`
`double` | `readDouble()`
`void` | `readExternal(ObjectInput in)`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`Object` | `readObject()`
`short` | `readShort()`
`String` | `readString()`
`void` | `reset()`
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(byte value)`
`void` | `writeBytes(byte[] value)`
`void` | `writeBytes(byte[] value, int offset, int length)`
`void` | `writeChar(char value)`
`void` | `writeDouble(double value)`
`void` | `writeExternal(ObjectOutput out)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeObject(Object value)`
`void` | `writeShort(short value)`
`void` | `writeString(String value)`

Methods inherited from class org.jboss.mq.SpyMessage
`acknowledge, clearProperties, compareTo, copyProps, createAcknowledgementRequest, doAcknowledge, doNegAcknowledge, getAcknowledgementRequest, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, isOutdated, propertyExists, readMessage, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setReadOnlyMode, setShortProperty, setStringProperty, toString, writeMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Message
`acknowledge, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Constructor Detail

### SpyStreamMessage

    public SpyStreamMessage()

  Create a new SpyStreamMessage

Method Detail

### readBoolean

    public boolean readBoolean()
                        throws javax.jms.JMSException

  Specified by:
    `readBoolean` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readByte

    public byte readByte()
                  throws javax.jms.JMSException

  Specified by:
    `readByte` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readShort

    public short readShort()
                    throws javax.jms.JMSException

  Specified by:
    `readShort` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readChar

    public char readChar()
                  throws javax.jms.JMSException

  Specified by:
    `readChar` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readInt

    public int readInt()
                throws javax.jms.JMSException

  Specified by:
    `readInt` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readLong

    public long readLong()
                  throws javax.jms.JMSException

  Specified by:
    `readLong` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readFloat

    public float readFloat()
                    throws javax.jms.JMSException

  Specified by:
    `readFloat` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readDouble

    public double readDouble()
                      throws javax.jms.JMSException

  Specified by:
    `readDouble` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readString

    public String readString()
                      throws javax.jms.JMSException

  Specified by:
    `readString` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readBytes

    public int readBytes(byte[] value)
                  throws javax.jms.JMSException

  Specified by:
    `readBytes` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### readObject

    public Object readObject()
                      throws javax.jms.JMSException

  Specified by:
    `readObject` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeBoolean

    public void writeBoolean(boolean value)
                      throws javax.jms.JMSException

  Specified by:
    `writeBoolean` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeByte

    public void writeByte(byte value)
                   throws javax.jms.JMSException

  Specified by:
    `writeByte` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeShort

    public void writeShort(short value)
                    throws javax.jms.JMSException

  Specified by:
    `writeShort` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeChar

    public void writeChar(char value)
                   throws javax.jms.JMSException

  Specified by:
    `writeChar` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeInt

    public void writeInt(int value)
                  throws javax.jms.JMSException

  Specified by:
    `writeInt` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeLong

    public void writeLong(long value)
                   throws javax.jms.JMSException

  Specified by:
    `writeLong` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeFloat

    public void writeFloat(float value)
                    throws javax.jms.JMSException

  Specified by:
    `writeFloat` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeDouble

    public void writeDouble(double value)
                     throws javax.jms.JMSException

  Specified by:
    `writeDouble` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeString

    public void writeString(String value)
                     throws javax.jms.JMSException

  Specified by:
    `writeString` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeBytes

    public void writeBytes(byte[] value)
                    throws javax.jms.JMSException

  Specified by:
    `writeBytes` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeBytes

    public void writeBytes(byte[] value,
                           int offset,
                           int length)
                    throws javax.jms.JMSException

  Specified by:
    `writeBytes` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### writeObject

    public void writeObject(Object value)
                     throws javax.jms.JMSException

  Specified by:
    `writeObject` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### reset

    public void reset()
               throws javax.jms.JMSException

  Specified by:
    `reset` in interface `javax.jms.StreamMessage`
  Throws:
    `javax.jms.JMSException`

### clearBody

    public void clearBody()
                   throws javax.jms.JMSException

  Description copied from class: `SpyMessage`
  Clear the message body

  Specified by:
    `clearBody` in interface `javax.jms.Message`
  Overrides:
    `clearBody` in class `SpyMessage`
  Throws:
    `javax.jms.JMSException` - for any error

### myClone

    public SpyMessage myClone()
                       throws javax.jms.JMSException

  Description copied from class: `SpyMessage`
  Clone the message

  Overrides:
    `myClone` in class `SpyMessage`
  Returns:
    the cloned message
  Throws:
    `javax.jms.JMSException` - for any error

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `SpyMessage`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `SpyMessage`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.